Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl
Summary: Add ability to process only one 'type' of message ( sms, email, etc ) for a g...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21322
  Show dependency treegraph
 
Reported: 2018-01-11 18:00 UTC by Kyle M Hall
Modified: 2018-09-12 22:54 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl (3.40 KB, patch)
2018-01-11 18:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl (4.38 KB, patch)
2018-01-11 18:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl (4.52 KB, patch)
2018-01-11 18:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl (4.58 KB, patch)
2018-01-19 21:01 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 19955 - minor grammatical correction (1.25 KB, patch)
2018-01-19 21:04 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 19955: Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl (4.65 KB, patch)
2018-03-09 13:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19955: Minor grammatical correction (1.32 KB, patch)
2018-03-09 13:06 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19955: Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl (4.51 KB, patch)
2018-03-21 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19955: Minor grammatical correction (1.33 KB, patch)
2018-03-21 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-01-11 18:00:18 UTC
It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.
Comment 1 Kyle M Hall 2018-01-11 18:01:01 UTC
Created attachment 70434 [details] [review]
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl

It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.
Comment 2 Kyle M Hall 2018-01-11 18:31:11 UTC
Created attachment 70436 [details] [review]
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl

It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.
Comment 3 Kyle M Hall 2018-01-11 18:32:05 UTC
Created attachment 70437 [details] [review]
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl

It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.
Comment 4 Charles Farmer 2018-01-19 21:01:55 UTC
Created attachment 70781 [details] [review]
Bug 19955 - Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl

It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 5 Charles Farmer 2018-01-19 21:04:48 UTC
Created attachment 70782 [details] [review]
Bug 19955 - minor grammatical correction
Comment 6 Tomás Cohen Arazi 2018-03-09 13:05:51 UTC
Created attachment 72588 [details] [review]
Bug 19955: Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl

It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 7 Tomás Cohen Arazi 2018-03-09 13:06:00 UTC
Created attachment 72589 [details] [review]
Bug 19955: Minor grammatical correction

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 8 Jonathan Druart 2018-03-19 19:00:59 UTC
Please rebase.
Comment 9 Kyle M Hall 2018-03-21 12:07:41 UTC
Created attachment 73132 [details] [review]
Bug 19955: Add ability to process only one 'type' of message ( sms, email, etc ) for a given run of process_message_queue.pl

It would be nice to allow emails to be sent overnight, but limit the sending of SMS messages to hours when people are awake. Adding a type limit to process_message_queue.pl would allow this to be accomplished easily.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 10 Kyle M Hall 2018-03-21 12:07:49 UTC
Created attachment 73133 [details] [review]
Bug 19955: Minor grammatical correction

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 11 Jonathan Druart 2018-03-26 20:36:47 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 12 Nick Clemens 2018-04-24 01:35:44 UTC
Awesome work all, backported to stable for 17.11.05
Comment 13 Fridolin SOMERS 2018-04-24 15:13:16 UTC
process_message_queue.pl is very complex and dangerous, I prefer not to backport to 17.05.x